Subject: bug#59347: 29.0.50; `:family` face setting ignored

From: Gregory Heytings <[email-masked]>
Date: Sun, 20 Nov 2022 20:45:15 +0000

>>> I'd have to investigate this, is it really worth the effort given that 
>>> a proper fix has already been found?
>> 
>> I'd like to hear Stefan say that this is fixed on his system as well. 
>> And yes, I'd still be interested in understanding why asking for 
>> another foundry fixed or worked around the problem.
>
> Okay, I'll try to find out if I have time.
>

Well, I cannot investigate this myself.  I just tried

src/emacs -Q --eval \
         '(progn
            (custom-set-faces `(variable-pitch
                                ((t (:family "DejaVu Sans" :foundry "PfEd")))))
            (add-to-list `default-frame-alist
                         `(font . "-misc-fixed-*-r-semicondensed-*-13-*-*-*-*-*-*-*"))
            (font-lock-mode -1)
            (insert (propertize "hello" `face `variable-pitch)))'

and the font I got is 
-PfEd-Terminus-medium-normal-normal-*-12-*-*-*-c-*-iso10646-1.  I removed 
the Terminus font from my system, and I got "no font available".